<?php
/**
 * Template for displaying search forms in hebes
 *
 * @package WordPress
 * @subpackage hebes
 * @since hebes 1.0
 */
?>
<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) )  ?>">
	<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'g5plus-hebes' ) ?>" value="<?php echo esc_attr(get_search_query())?>" name="s" />
	<button type="submit" class="search-submit"><?php echo esc_attr_x( 'Search', 'submit button','g5plus-hebes' ) ?> <i class="fal fa-search"></i></button>
</form>
